import { Container, Nav, Navbar } from "react-bootstrap";
import { useTranslation } from "react-i18next";
import {Outlet, useLocation} from "react-router-dom";

function StaffLayout() {
	const {t} = useTranslation();
	const location = useLocation();
	return (
		<div>
		<Navbar sticky="top" className="bg-secondary" variant="dark" expand="lg">
			<Container>
				<Navbar.Brand className="fw-bold">{t(`routes.${location.pathname}`)}</Navbar.Brand>
			<Navbar.Toggle />
			<Navbar.Collapse>
				<Nav className="mr-auto" activeKey={location.pathname}>
					<Nav.Link href="/staff/overview">{t("staffNav.buttonBoatOverview")}</Nav.Link>
					<Nav.Link>{t("staffNav.buttonManageBoats")}</Nav.Link>
					<Nav.Link>{t("staffNav.buttonStatistics")}</Nav.Link>
					<Nav.Link>{t("staffNav.buttonLogout")}</Nav.Link>
				</Nav>
			</Navbar.Collapse>
			</Container>
		</Navbar>
		<Outlet />
		</div>
	);
}

export default StaffLayout;